Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621424 - [abrt] crash in deluge-1.1.9-3.fc12: gtkui.py:1043:configure_cb_cookie_delete:TypeError: iter should be a GtkTreeIter
[abrt] crash in deluge-1.1.9-3.fc12: gtkui.py:1043:configure_cb_cookie_delete...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
abrt_hash:9d593a75
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 22:17 EDT by jason.prokopowich
Modified: 2010-12-03 07:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 07:57:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (665 bytes, text/plain)
2010-08-04 22:17 EDT, jason.prokopowich
no flags Details

  None (edit)
Description jason.prokopowich 2010-08-04 22:17:32 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/deluge
component: deluge
executable: /usr/bin/deluge
kernel: 2.6.32.16-141.fc12.x86_64
package: deluge-1.1.9-3.fc12
reason: gtkui.py:1043:configure_cb_cookie_delete:TypeError: iter should be a GtkTreeIter
release: Fedora release 12 (Constantine)

backtrace
-----
gtkui.py:1043:configure_cb_cookie_delete:TypeError: iter should be a GtkTreeIter

Traceback (most recent call last):
  File "/home/pjproko/.config/deluge/plugins/flexRSS-0.1.egg/flexrss/gtkui.py", line 1043, in configure_cb_cookie_delete
    if not model.iter_has_child(iter):
TypeError: iter should be a GtkTreeIter

Local variables in innermost frame:
src: <gtk.Button object at 0x326c0a0 (GtkButton at 0x38120f0)>
domain: None
selection: <gtk.TreeSelection object at 0x37b22d0 (GtkTreeSelection at 0x33ecb00)>
name: None
self: <flexrss.gtkui.GtkUI object at 0x324af50>
iter: None
path: None
model: <gtk.TreeStore object at 0x32650f0 (GtkTreeStore at 0x2f77090)>

How to reproduce
-----
1.configuring flexRSS plugin
2.
3.
Comment 1 jason.prokopowich 2010-08-04 22:17:34 EDT
Created attachment 436713 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 07:15:24 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 07:57:14 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.